Page MenuHomePhabricator

Special:WantedPages shouldn't list dead Redirect Pages
Closed, ResolvedPublic

Description

Author: old_school_junkie

Description:
I f you don't clean up broken redirects Special:WantedPages is full of dead redirect pages instead of properly only listing linked but non-existing pages.

Special:BrokenRedirects exists for that.


Version: 1.21.x
Severity: minor

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:32 PM
bzimport set Reference to bz17665.

Latest version of patch in Gerrit still needs review...

(Bringing the discussion from code review over here)

There's two possible ways to fix this bug:

*Broken redirects are excluded when calculating this special page totally. They are not included in the count of the number of links to a page, and just generally are ignored

or

*Broken redirects are included in the count of links to a page. However if all the links to a particular page are broken redirects, then that page is excluded from the list on the special page.

I favour option 1. I think its more consistent to either fully count broken redirects, or not count them at all instead of only semi-counting them. I believe Devunt favours option 2 (See code review for his/her arguments). Anyways, I'd like to ask if other people have opinions or thoughts on the matter.

Change 54120 had a related patch set uploaded (by Qgil):
Special:WantedPages only lists page which having at least one red link pointing to it.

https://gerrit.wikimedia.org/r/54120

Patch-For-Review

Qgil added a subscriber: Qgil.Feb 14 2015, 3:47 PM

@devunt, this is one of the oldest tasks assigned to someone. Are you planning to work on it, and is its current priority correct?

@Qgil I'll upload a new patch soon. And current priority seems correct.

Change 54120 had a related patch set uploaded (by devunt):
Special:WantedPages only lists page which having at least one red link pointing to it.

https://gerrit.wikimedia.org/r/54120

Patch-For-Review

(Bringing the discussion from code review over here)

There's two possible ways to fix this bug:

*Broken redirects are excluded when calculating this special page totally. They are not included in the count of the number of links to a page, and just generally are ignored

or

*Broken redirects are included in the count of links to a page. However if all the links to a particular page are broken redirects, then that page is excluded from the list on the special page.

I favour option 1. I think its more consistent to either fully count broken redirects, or not count them at all instead of only semi-counting them. I believe Devunt favours option 2 (See code review for his/her arguments). Anyways, I'd like to ask if other people have opinions or thoughts on the matter.

After discussing with devunt, I think his/her solution actually makes more sense

Change 54120 merged by jenkins-bot:
Special:WantedPages only lists page which having at least one red link pointing to it.

https://gerrit.wikimedia.org/r/54120

devunt closed this task as Resolved.Feb 23 2015, 5:21 PM

Closing 6 year olds bug finally.

devunt set Security to None.